--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: SELECT_CLAUSE_METHODS
  value: Dataset.clause_methods(:select, %w'with distinct columns from join where group having compounds order limit')
full_name: Sequel::Oracle::DatasetMethods
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: empty?
- !ruby/object:RI::MethodSummary 
  name: except
- !ruby/object:RI::MethodSummary 
  name: requires_sql_standard_datetimes?
- !ruby/object:RI::MethodSummary 
  name: supports_distinct_on?
- !ruby/object:RI::MethodSummary 
  name: supports_intersect_except_all?
- !ruby/object:RI::MethodSummary 
  name: supports_timestamp_timezones?
- !ruby/object:RI::MethodSummary 
  name: supports_window_functions?
name: DatasetMethods
superclass: 
